Subject: bug#69279: Can't build pine64 image on x86-64-linux host

From: Jack Hill <[email-masked]>
Date: Fri, 23 Feb 2024 11:00:44 -0500 (EST)

On Mon, 19 Feb 2024, Jack Hill wrote:

> Hi Guix,
>
> I'm on a x86-64-linux (Guix System) host at commit 
> 7d6550eec7fe98517a2096d55760a4d5be3ad8ef. I have the binfmt service for 
> aach64. I'm trying to build the example images in 
> gnu/system/images/pine64.scm.
>
> However, when I try with `guix system image pine64.scm` the build for 
> gawk-mesboot fails with the attached log.
>
> If instead I try with `guix system image --system=aarch64-linux pine64.scm` 
> u-boot fails with the attached log.

I got access to an aarch64 machine, and the u-boot build fails there as 
well with the error:

```
starting phase `set-environment'
error: in phase 'set-environment': uncaught exception:
match-error "match" "no matching pattern" #f 
phase `set-environment' failed after 0.0 seconds
Backtrace:
           10 (primitive-load "/gnu/store/87lv934bq3y4rn84g5q5z264hxa…")
In guix/build/gnu-build-system.scm:
     908:2  9 (gnu-build #:source _ #:outputs _ #:inputs _ #:phases . #)
In ice-9/boot-9.scm:
   1752:10  8 (with-exception-handler _ _ #:unwind? _ # _)
In srfi/srfi-1.scm:
     634:9  7 (for-each #<procedure fffff4bff8c0 at guix/build/gnu-b…> …)
In ice-9/boot-9.scm:
   1752:10  6 (with-exception-handler _ _ #:unwind? _ # _)
In guix/build/gnu-build-system.scm:
    929:23  5 (_)
In ice-9/eval.scm:
     619:8  4 (_ #(#(#<directory (guile-user) fffff780ec80>) #f (# …)))
     159:9  3 (_ #(#(#<directory (guile-user) fffff780ec80>) #f (# …)))
In guix/build/utils.scm:
     683:2  2 (loop #f ())
In ice-9/boot-9.scm:
   1685:16  1 (raise-exception _ #:continuable? _)
   1685:16  0 (raise-exception _ #:continuable? _)

ice-9/boot-9.scm:1685:16: In procedure raise-exception:
Throw to key `match-error' with args `("match" "no matching pattern" #f)'.
```

CI show it as green though. I guess the build hasn't been attempted again 
yet? https://ci.guix.gnu.org/build/3348257/details

Best,
Jack